package cn.com.countrygarden.bi.main.service.experience;


import cn.com.countrygarden.bi.main.dto.experience.WcxExperContentDto;
import cn.com.countrygarden.bi.main.dto.experience.WcxPublishFileDto;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;

import java.util.List;
import java.util.Map;

public interface WcxExperContentService {

    /**
     * 查询员工管理列表
     * @param params
     * @return
     * @throws Exception
     */
    List queryPageList(Map<String,Object> params) throws Exception;

    HSSFWorkbook exportList(Map<String,Object> params) throws Exception;

    int count(Map<String,Object> params) throws Exception;

    int score(WcxExperContentDto dto);

    int delete(WcxExperContentDto dto);

    List<WcxPublishFileDto> getPublishFiles(WcxExperContentDto dto);
}
